# $Id$
# Authority: lsn
# Upstream: 

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define distro		CentOS 4

Name		: nessus
Version		: 2.2.6
Release		: 2.el4.lsn

License		: GPL
Summary		: A free, powerful and easy to use remote security scanner.
Group		: Applications/System

URL		: http://www.nessus.org/
Vendor		: LandShark Networks
Distribution	: %distro
Packager	: %{myname} %{myemail}

BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source2		: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/nessus-core-%{version}.tar.gz
Source3		: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/nessus-plugins-GPL-%{version}.tar.gz
Source5		: nessusd.init
Source6		: nessusd.users
Source7		: nessusd.rules
Source8		: nessusd.conf
Source9		: faq.html
Source10	: nessus.desktop	

Buildarch	: i386

BuildRequires	: perl, gtk2-devel, glib-devel, zlib-devel, nmap, openssl-devel
BuildRequires	: gmp-devel, desktop-file-utils
BuildRequires	: tcp_wrappers
BuildRequires	: libnessus-devel, libnasl-devel
Obsoletes	: nessus-client

%description
Nessus is a free, up-to-date, and full featured remote security scanner for
Linux. It is multithreaded, plugin-based, has a nice GTK interface, and
currently performs 590 remote security checks. It has powerful reporting
capabilities (HTML, LaTeX, ASCII text) and not only points out problems,
but suggests a solution for each of them.


%package server
Group: System Environment/Daemons
Summary: A free, powerful and easy to use remote security scanner.
Requires: zlib >= 1.1.3, nmap >= 2.53, wget
PreReq: /sbin/service, /sbin/chkconfig

Obsoletes	: nessus-plugins

%description server
Nessus is a free, up-to-date, and full featured remote security scanner for
Linux. It is multithreaded, plugin-based, has a nice GTK interface, and
currently performs 590 remote security checks. It has powerful reporting
capabilities (HTML, LaTeX, ASCII text) and not only points out problems,
but suggests a solution for each of them.

This is the server (daemon) that is used to perform the security checks.


%package devel
Group		: Development/Libraries
Summary		: Nessus static libraries and header files.
Requires	: nessus-server = 2.2.6

%description devel
Developement libraries and headers for Nessus, the remote security scanner.
You will need this package to build new plugins or to update your existing
ones.

%prep
%setup -q -c -T
%setup -q -T -D -a 2 -a 3

%build
# Build nessus-core
cd nessus-core
%configure	--enable-release \
		--enable-syslog \
		--enable-tcpwrappers \
		--enable-save-sessions \
		--enable-save-kb \
		--enable-gtk \
		--enable-install=`%{__id} -un`
#make %{?_smp_mflags}
make
export CPATH="%{_builddir}/%{name}-%{version}/nessus-core/include":"$CPATH"
cd ..

# Build nessus-plugins
cd nessus-plugins
%configure      --enable-install=`%{__id} -un`
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
cd nessus-core
%makeinstall
cd ../nessus-plugins
%makeinstall
cd ..

# Nothing much to do since most file are installed after they're built
install -D -m 755 %{SOURCE5} %{buildroot}%{_sysconfdir}/init.d/nessusd
install -m 640 %{SOURCE6} %{SOURCE7} %{SOURCE8} %{buildroot}%{_sysconfdir}/nessus/
perl -pi -e 's|\@LIBDIR\@|'%{_libdir}'|' %{buildroot}%{_sysconfdir}/nessus/nessusd.conf
cp %{SOURCE9} .
mkdir -p %{buildroot}%{_sharedstatedir}/nessus/CA
mkdir -p %{buildroot}%{_localstatedir}/nessus/CA

mkdir -p %{buildroot}%{_datadir}/pixmaps
install nessus-core/nessus/xpm/nessus.xpm %{buildroot}%{_datadir}/pixmaps/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Red-Hat-Extra                \
  --add-category Application                    \
  --add-category Network                        \
  %{SOURCE10}

cd nessus-core/doc
rm -f *.8.in *.8 *.1.in *.1

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post server
/sbin/chkconfig --add nessusd
/sbin/ldconfig

%preun server
if [ $1 = 0 ]; then
	/sbin/service nessusd stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del nessusd
fi

%postun server
/sbin/ldconfig
if [ $1 -ge 1 ]; then
	/sbin/service nessusd condrestart >/dev/null 2>&1 || :
fi

%files server
%defattr(-, root, root)
%doc nessus-core/doc/*
%attr(750, root, root) %dir %{_sysconfdir}/nessus
%config %{_sysconfdir}/nessus/nessusd.conf
%config(noreplace) %{_sysconfdir}/nessus/nessusd.rules
%config(noreplace) %{_sysconfdir}/nessus/nessusd.users
%{_sysconfdir}/init.d/nessusd
%{_libdir}/nessus
%{_sbindir}/nessus-adduser
%{_sbindir}/nessus-mkcert
%{_sbindir}/nessus-rmuser
%{_sbindir}/nessus-update-plugins
%{_sbindir}/nessusd
%{_sbindir}/nessus-check-signature
%{_bindir}/nessus-mkrand
%{_bindir}/nessus-fetch
%attr(750, root, root) %dir %{_sharedstatedir}/nessus
%attr(750, root, root) %dir %{_sharedstatedir}/nessus/CA
%attr(750, root, root) %dir %{_localstatedir}/nessus
%attr(750, root, root) %dir %{_localstatedir}/nessus/CA
%attr(750, root, root) %dir %{_localstatedir}/nessus/jobs
%attr(750, root, root) %dir %{_localstatedir}/nessus/logs
%attr(750, root, root) %dir %{_localstatedir}/nessus/users
#%attr(750, root, root) %dir %{_localstatedir}/nessus/nmap-os-fingerprints
%{_mandir}/man1/nessus-mkrand.1*
%{_mandir}/man1/nessus-fetch.1*
%{_mandir}/man8/nessus-adduser.8*
%{_mandir}/man8/nessus-mkcert.8*
%{_mandir}/man8/nessus-rmuser.8*
%{_mandir}/man8/nessus-update-plugins.8*
%{_mandir}/man8/nessusd.8*

%files devel
%defattr(-, root, root)
%doc nessus-core/doc/nsr.dtd
%doc nessus-core/doc/nsr_file_format.txt
%{_includedir}/nessus/*
%{_bindir}/nessus-build
%{_mandir}/man1/nessus-build.1*

%files
%defattr(-, root, root)
%{_bindir}/nessus
%{_bindir}/nessus-mkcert-client
%{_mandir}/man1/nessus.1*
%{_mandir}/man1/nessus-mkcert-client.1*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/nessus.xpm

%changelog
* Sat Jan 14 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Initial CentOS 4 build.
